Subject: Re: [PATCH] rapidio: apply RX/TX enable to active switch ports only

From: Andrew Morton <[email-masked]>
Date: Fri, 24 Aug 2012 14:04:19 -0700

On Tue, 21 Aug 2012 10:23:55 -0400
Alexandre Bounine <[email-masked]> wrote:

> Modify RIO enumeration to apply RX/TX enable operations only to active
> switch ports. This will leave inactive ports in condition consistent with
> their state.

It's unclear (to me) what the effects of this are.  Does it fix some
user-visible malfunction?  Or is it just some nice-to-have thing?  Or
what?

> This patch is applicable to kernel versions starting from v2.6.35.

Is that a recommendation that such a backport be performed?  If so,
please provide the reasoning.